Bug 179020 - audio/whysynth update and take maintainership
Summary: audio/whysynth update and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-27 19:40 UTC by Danilo Egêa Gondolfo
Modified: 2013-06-04 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.78 KB, patch)
2013-05-27 19:40 UTC, Danilo Egêa Gondolfo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Egêa Gondolfo 2013-05-27 19:40:00 UTC
Changes
- Updated from 20100922 to 20120903;
- pkg-desc updated with the new features;
- Makefile changed to make portlint happy.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-05-27 19:40:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

bdrewery@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-06-04 19:31:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-06-04 19:31:12 UTC
Author: bdrewery
Date: Tue Jun  4 18:30:57 2013
New Revision: 319891
URL: http://svnweb.freebsd.org/changeset/ports/319891

Log:
  - Update to 20120903
  - Pass maintainership to submitter
  - Trim header
  - Remove ABI versions from LIB_DEPENDS
  - Update pkg-descr with latest features
  - Pet portlint
  
  PR:		ports/179020
  Submitted by:	Danilo Egea Gondolfo <danilogondolfo@gmail.com>

Modified:
  head/audio/whysynth/Makefile
  head/audio/whysynth/distinfo
  head/audio/whysynth/pkg-descr
  head/audio/whysynth/pkg-plist

Modified: head/audio/whysynth/Makefile
==============================================================================
--- head/audio/whysynth/Makefile	Tue Jun  4 18:14:34 2013	(r319890)
+++ head/audio/whysynth/Makefile	Tue Jun  4 18:30:57 2013	(r319891)
@@ -1,30 +1,25 @@
-# New ports collection makefile for:	whysynth
-# Date created:		2007-01-20
-# Whom:			trasz <trasz@pin.if.uz.zgora.pl>
-#
+# Created by: trasz <trasz@pin.if.uz.zgora.pl>
 # $FreeBSD$
-#
 
 PORTNAME=	whysynth
-PORTVERSION=	20100922
-PORTREVISION=	3
+PORTVERSION=	20120903
 CATEGORIES=	audio
 MASTER_SITES=	http://smbolton.com/whysynth/
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	danilogondolfo@gmail.com
 COMMENT=	Versatile softsynth implemented as a DSSI plugin
 
+LICENSE=	GPLv2 LGPL21
+LICENSE_COMB=	multi
+
 BUILD_DEPENDS=	${LOCALBASE}/include/dssi.h:${PORTSDIR}/audio/dssi \
 		${LOCALBASE}/include/ladspa.h:${PORTSDIR}/audio/ladspa
-LIB_DEPENDS=	dssialsacompat.0:${PORTSDIR}/audio/libdssialsacompat \
-		lo.7:${PORTSDIR}/audio/liblo \
-		jack.0:${PORTSDIR}/audio/jack \
+LIB_DEPENDS=	dssialsacompat:${PORTSDIR}/audio/libdssialsacompat \
+		lo:${PORTSDIR}/audio/liblo \
+		jack:${PORTSDIR}/audio/jack \
 		fftw3:${PORTSDIR}/math/fftw3 \
 		fftw3f:${PORTSDIR}/math/fftw3-float
 
-LICENSE=	GPLv2 LGPL21
-LICENSE_COMB=	multi
-
 USE_BZIP2=	yes
 USE_GNOME=	gtk20
 USE_GMAKE=	yes

Modified: head/audio/whysynth/distinfo
==============================================================================
--- head/audio/whysynth/distinfo	Tue Jun  4 18:14:34 2013	(r319890)
+++ head/audio/whysynth/distinfo	Tue Jun  4 18:30:57 2013	(r319891)
@@ -1,2 +1,2 @@
-SHA256 (whysynth-20100922.tar.bz2) = 8a82520723bb7cdb788ff76b276418da49aa2cd6bd97801203e362b8fc46723f
-SIZE (whysynth-20100922.tar.bz2) = 2126947
+SHA256 (whysynth-20120903.tar.bz2) = acc0a4c8df1c8f36619861dfa32e3d2850783d462e2afec50c2210b2e3dd8686
+SIZE (whysynth-20120903.tar.bz2) = 2141470

Modified: head/audio/whysynth/pkg-descr
==============================================================================
--- head/audio/whysynth/pkg-descr	Tue Jun  4 18:14:34 2013	(r319890)
+++ head/audio/whysynth/pkg-descr	Tue Jun  4 18:30:57 2013	(r319891)
@@ -4,11 +4,12 @@ Disposable Soft Synth Interface (DSSI). 
 - 4 oscillators, 2 filters, 3 LFOs, and 5 envelope generators per
   voice.
 
-- 7 oscillator modes: minBLEP, wavecycle, asynchronous granular, FM,
-  waveshaper, noise, and PADsynth.
+- 11 oscillator modes: minBLEP, wavecycle, chorused wavecycle,
+  asynchronous granular, three FM modes, waveshaper, noise,
+  PADsynth, and phase distortion.
 
-- 5 filter modes.
+- 10 filter modes.
 
-- flexible modulation and mixdown options.
+- flexible modulation and mixdown options, plus effects.
 
 WWW: http://smbolton.com/whysynth.html

Modified: head/audio/whysynth/pkg-plist
==============================================================================
--- head/audio/whysynth/pkg-plist	Tue Jun  4 18:14:34 2013	(r319890)
+++ head/audio/whysynth/pkg-plist	Tue Jun  4 18:30:57 2013	(r319891)
@@ -7,5 +7,8 @@ lib/dssi/whysynth/WhySynth_gtk
 %%DATADIR%%/version_20051005_patches.WhySynth
 %%DATADIR%%/version_20051231_patches.WhySynth
 %%DATADIR%%/version_20090608_patches.WhySynth
+%%DATADIR%%/version_20100922_patches.WhySynth
+%%DATADIR%%/more_K4_interpretations.WhySynth
 @dirrm %%DATADIR%%
 @dirrm lib/dssi/whysynth
+@dirrm lib/dssi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"